diff -wurNbB squid-2.3.STABLE3PR1/src/cache_cf.c squid-2.3.STABLE3PR2/src/cache_cf.c
--- squid-2.3.STABLE3PR1/src/cache_cf.c	Mon May 15 05:13:04 2000
+++ squid-2.3.STABLE3PR2/src/cache_cf.c	Wed May 17 09:45:53 2000
@@ -593,6 +593,7 @@
 	if (cfg->class[i]) {
 	    delayFreeDelayPool(i);
 	    safe_free(cfg->rates[i]);
+		safe_free(cfg->names[i]);
 	}
 	aclDestroyAccessList(&cfg->access[i]);
     }
@@ -600,6 +601,7 @@
     xfree(cfg->class);
     xfree(cfg->rates);
     xfree(cfg->access);
+    xfree(cfg->names);
     memset(cfg, 0, sizeof(*cfg));
 }
 
@@ -647,12 +649,14 @@
     cfg->class = xcalloc(cfg->pools, sizeof(u_char));
     cfg->rates = xcalloc(cfg->pools, sizeof(delaySpecSet *));
     cfg->access = xcalloc(cfg->pools, sizeof(acl_access *));
+    cfg->names = xcalloc(cfg->pools, sizeof(char *));
 }
 
 static void
 parse_delay_pool_class(delayConfig * cfg)
 {
     ushort pool, class;
+    char *poolname = NULL;
 
     parse_ushort(&pool);
     if (pool < 1 || pool > cfg->pools) {
@@ -664,13 +668,16 @@
 	debug(3, 0) ("parse_delay_pool_class: Ignoring pool %d class %d not in 1 .. 3\n", pool, class);
 	return;
     }
+    parse_string(&poolname);
     pool--;
     if (cfg->class[pool]) {
 	delayFreeDelayPool(pool);
 	safe_free(cfg->rates[pool]);
+		safe_free(cfg->names[pool]);
     }
     cfg->rates[pool] = xmalloc(class * sizeof(delaySpec));
     cfg->class[pool] = class;
+    cfg->names[pool] = poolname;
     cfg->rates[pool]->aggregate.restore_bps = cfg->rates[pool]->aggregate.max_bytes = -1;
     if (cfg->class[pool] >= 3)
 	cfg->rates[pool]->network.restore_bps = cfg->rates[pool]->network.max_bytes = -1;
diff -wurNbB squid-2.3.STABLE3PR1/src/cf.data.pre squid-2.3.STABLE3PR2/src/cf.data.pre
--- squid-2.3.STABLE3PR1/src/cf.data.pre	Wed Mar 29 23:56:56 2000
+++ squid-2.3.STABLE3PR2/src/cf.data.pre	Wed May 17 09:45:54 2000
@@ -2804,8 +2804,8 @@
 	and here would be:
 
 delay_pools 2      # 2 delay pools
-delay_class 1 2    # pool 1 is a class 2 pool
-delay_class 2 3    # pool 2 is a class 3 pool
+delay_class 1 2 PoolName1  # pool 1 is a class 2 pool named "PoolName1"
+delay_class 2 3 PoolName2  # pool 2 is a class 3 pool named "PoolName2"
 
 	The delay pool classes are:
 
diff -wurNbB squid-2.3.STABLE3PR1/src/delay_pools.c squid-2.3.STABLE3PR2/src/delay_pools.c
--- squid-2.3.STABLE3PR1/src/delay_pools.c	Fri May 12 23:49:07 2000
+++ squid-2.3.STABLE3PR2/src/delay_pools.c	Wed May 17 09:45:54 2000
@@ -689,8 +689,9 @@
 {
     /* must be a reference only - partially malloc()d struct */
     delaySpecSet *rate = Config.Delay.rates[pool];
+    char *name = Config.Delay.names[pool];
 
-    storeAppendPrintf(sentry, "Pool: %d\n\tClass: 1\n\n", pool + 1);
+    storeAppendPrintf(sentry, "Pool: %d - %s\n\tClass: 1\n\n", pool + 1, name);
     delayPoolStatsAg(sentry, rate, delay_data[pool].class1->aggregate);
 }
 
@@ -702,8 +703,9 @@
     class2DelayPool *class2 = delay_data[pool].class2;
     unsigned char shown = 0;
     unsigned int i;
+	char *name = Config.Delay.names[pool];
 
-    storeAppendPrintf(sentry, "Pool: %d\n\tClass: 2\n\n", pool + 1);
+    storeAppendPrintf(sentry, "Pool: %d - %s\n\tClass: 2\n\n", pool + 1, name);
     delayPoolStatsAg(sentry, rate, class2->aggregate);
     if (rate->individual.restore_bps == -1) {
 	storeAppendPrintf(sentry, "\tIndividual:\n\t\tDisabled.\n\n");
@@ -738,8 +740,9 @@
     unsigned char shown = 0;
     unsigned int i;
     unsigned int j;
+    char *name = Config.Delay.names[pool];
 
-    storeAppendPrintf(sentry, "Pool: %d\n\tClass: 3\n\n", pool + 1);
+	storeAppendPrintf(sentry, "Pool: %d - %s\n\tClass: 3\n\n", pool + 1, name );
     delayPoolStatsAg(sentry, rate, class3->aggregate);
     if (rate->network.restore_bps == -1) {
 	storeAppendPrintf(sentry, "\tNetwork:\n\t\tDisabled.");
diff -wurNbB squid-2.3.STABLE3PR1/src/structs.h squid-2.3.STABLE3PR2/src/structs.h
--- squid-2.3.STABLE3PR1/src/structs.h	Wed Mar 29 23:56:57 2000
+++ squid-2.3.STABLE3PR2/src/structs.h	Wed May 17 09:45:54 2000
@@ -215,6 +215,7 @@
     unsigned short pools;
     unsigned short initial;
     unsigned char *class;
+    unsigned char **names;
     delaySpecSet **rates;
     acl_access **access;
 };

